### Method

# GdkX11 X11Screen supports_net_wm_hint

deprecated: 4.18

#### Declaration [src]

    gboolean
    gdk_x11_screen_supports_net_wm_hint (
      GdkX11Screen* screen,
      const char* property_name
    )

#### Description [src]

This function is specific to the X11 backend of GDK, and indicates whether the window manager supports a certain hint from the Extended Window Manager Hints specification.

When using this function, keep in mind that the window manager can change over time; so you shouldn’t use this function in a way that impacts persistent application state. A common bug is that your application can start up before the window manager does when the user logs in, and before the window manager starts `gdk_x11_screen_supports_net_wm_hint()` will return `FALSE` for every property. You can monitor the window_manager_changed signal on `GdkX11Screen` to detect a window manager change.

Deprecated since: 4.18

Please do not use it in newly written code.

#### Parameters

`property_name`

  Type: `const char*`

  Name of the WM property.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the window manager supports `property`.